Page 4 of 4 FirstFirst ... 234
Results 31 to 39 of 39
  1. #31
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi Kevin,

    Yes, you are right, indeed we also suggest to disable sslv3, please refer to this blog post.

    I confirm you that this library 6.1.4 build 1640.17, is fully compatible with Lighstreamer 5.1.x and contains the fix.

  2. #32
    Power Member
    Join Date
    Nov 2012
    Posts
    182
    ....andt he client will negotiate a connection regardless of the fact that SSLv3 is disabled?

  3. #33
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi Kevin,

    Yes, the client should be able to switch to one of the TLS protocols.

  4. #34
    Power Member
    Join Date
    Nov 2012
    Posts
    182
    I think the answer to my last question is "no" they won't. Clients that insist on SSLv3 will not be able to establish a connection at all.

    So, in summary, are we saying that the connection "flooding" was a client-side issue caused by the server being offline for a long period of time, and that this is fixed with the latest client ?

  5. #35
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi Kevin,

    The client and the server establish a connection if they can agree on a common protocol.

  6. #36
    Power Member
    Join Date
    Nov 2012
    Posts
    182
    Quote Originally Posted by giuseppe.corti View Post
    Hi Kevin,

    The client and the server establish a connection if they can agree on a common protocol.
    ...but not browsers that don't support TLS (like IE 6 for example). They will just fail?

    That aside, are we agreed on my last statement/question:

    "So, in summary, are we saying that the connection "flooding" was a client-side issue caused by the server being offline for a long period of time, and that this is fixed with the latest client ?"

  7. #37
    Power Member
    Join Date
    Nov 2012
    Posts
    182
    By the way, if I try to use the latest version of Lightstreamer.js with server 5.1.2 then I get constant alerts saying "License not valid for this client version".

    is there something else I need to change? This server is running with a trial licence.

    Obviously it all works well with server 6.0

  8. #38
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi Kevin,

    There are two different patched libraries:
    - for Lightstreamer 5.1.2 which is this (6.1.4 build 1640.17);
    - for Lightstreamer 6.0 which is this (6.2.6 build 1670).

    If you use the first with the server 5.1.2 you should not get the error mentioned.

    Yes, I can confirm that we expect that the new library should avoid the "flooding" of connections.

  9. #39
    Power Member
    Join Date
    Nov 2012
    Posts
    182
    Excellent - and yes of course I was told earlier about the correct patch version to use with 5.1.2 and then just conveniently forgot about it. I think I am going senile

 

 

Similar Threads

  1. "Out of memory" errors in Safari
    By kpturner in forum Client APIs
    Replies: 25
    Last Post: April 8th, 2014, 10:36 AM
  2. ARC memory management
    By ebrahim in forum Client APIs
    Replies: 3
    Last Post: May 28th, 2013, 10:46 AM
  3. Replies: 3
    Last Post: July 29th, 2011, 09:56 AM
  4. Memory leak on Firefox only
    By riwang in forum Client APIs
    Replies: 10
    Last Post: July 27th, 2009, 12:13 PM
  5. Memory Leaks
    By igindex in forum Client APIs
    Replies: 1
    Last Post: November 11th, 2006, 10:45 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 11:16 AM.